| Home | Libraries | People | FAQ | More

#### grammar::ci_is_equal

Return true if s0 equals s1 using case-insensitive comparison.

##### Synopsis

Defined in header `<boost/url/grammar/ci_string.hpp>`

    template<
        class String0,
        class String1>
    bool
    ci_is_equal(
        String0 const& s0,
        String1 const& s1);

##### Description

The function is defined only for strings containing low-ASCII characters.

##### Example

    assert( ci_is_equal( "Boost" , "boost" ) );

##### See Also

`ci_compare`, `ci_is_less`.

Convenience header `<boost/url/grammar.hpp>`